@echo off
rem -------------------------------------------------------------------------
rem adawarese.cmd - Script to start AdawareSE from BartPE
rem Created by Bart Lagerweij.
rem -------------------------------------------------------------------------
echo ADAWARE.CMD: Starting...
setlocal
if "%temp%" == "" goto _err
if exist "%temp%\adawarese\ad-aware.exe" goto _run
mkdir "%temp%\adawarese"
echo ADAWARE.CMD: Copying "%~dp0ad-aware.exe" to "%temp%\adawarese\"
copy "%~dp0ad-aware.exe" "%temp%\adawarese\ad-aware.exe"
echo ADAWARE.CMD: Copying "%~dp0defs.ref" to "%temp%\adawarese\"
copy "%~dp0defs.ref" "%temp%\adawarese\defs.ref"
:_run
start %temp%\adawarese\ad-aware.exe
goto _end
:_err
echo.
echo ADAWARE.CMD: No temp variable set...
echo ADAWARE.CMD: Try adding a ramdrive...
echo.
pause.
:_end
endlocal
